package com.saye.hospitalgd.mapper;

import com.saye.hospitalgd.entity.BankbillHistory;

import java.util.HashMap;
import java.util.List;

/**
 * (BankbillHistory)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-09 15:35:48
 */
public interface BankbillHistoryMapper {

    List<HashMap<Object,Object>> findBankbillHistoryById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findBankbillHistoryList(HashMap<Object,Object> map);

    void insertAllBankHistory(List<BankbillHistory> list)  throws Exception;

    List<HashMap<Object, Object>> findCzffs()throws Exception;

    void deleteBankbillHistoryByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void findBankbillHistoryToTemp(HashMap<Object, Object> map) throws Exception;

    void deleteTempTable() throws Exception;

    List<HashMap<Object, Object>> findBankbillHistoryByParam(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankbillHistoryByTimeAndPlatformTransId(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findBankBillMoneyByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findbankbillHistoryCount(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findbankbillHistorySum(HashMap<Object, Object> map) throws Exception;

    void deleteBankbillOriginalByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void insertBankbillOriginal(List<BankbillHistory> addList) throws Exception;

    List<HashMap<Object, Object>> findBankbillCountData(HashMap<Object, Object> map) throws Exception;
}
